# $Id$
# Authority: dag

%{?dist: %{expand: %%define %dist 1}}

%{!?dist:%define _with_modxorg 1}
%{?fc7:  %define _with_modxorg 1}
%{?el5:  %define _with_modxorg 1}
%{?fc6:  %define _with_modxorg 1}
%{?fc5:  %define _with_modxorg 1}

Summary: Virtual keyboard for X window system
Name: xvkbd
Version: 2.8
Release: 1.rf
License: GPL
Group: User Interface/X
URL: http://homepage3.nifty.com/tsato/xvkbd/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://homepage3.nifty.com/tsato/xvkbd/xvkbd-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: Xaw3d-devel
%{!?_with_modxorg:BuildRequires: XFree86-devel}
%{?_with_modxorg:BuildRequires: libXaw-devel}
Requires: Xaw3d

%description
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(softwares) by clicking on a keyboard displayed on the screen.  This
may be used for systems without a hardware keyboard such as kiosk
terminals or handheld devices.  This program also has facility to
send characters specified as the command line option to another
client.

%prep
%setup

%build
xmkmf
%{__make} %{?_smp_mflags} \
	LIBDIR="%{_datadir}/X11"

%install
%{__rm} -rf %{buildroot}
%{__make} install install.man \
	DESTDIR="%{buildroot}" \
	BINDIR="%{_bindir}" \
	LIBDIR="%{_datadir}/X11" \
	SHLIBDIR="%{_libdir}" \
	MANPATH="%{_mandir}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man1/xvkbd.1x*
%{_bindir}/xvkbd
%{_datadir}/X11/app-defaults/XVkbd*

%changelog
* Fri Mar 02 2007 Dag Wieers <dag@wieers.com> - 2.8-1
- Initial package, based on contribution by Radouane.
